<div style="height: 100%; display: flex">
  <mat-card>
    <mat-card-content>
      <form #loginForm="ngForm" (ngSubmit)="onSubmit()">
        <h2>Log In</h2>
        <mat-error *ngIf="!loginValid">
          The username and password were not recognized
        </mat-error>
        <mat-form-field>
          <input matInput placeholder="Email" [(ngModel)]="username" name="username" required>
          <mat-error>
            Please provide a valid email address
          </mat-error>
        </mat-form-field>
        <mat-form-field>
          <input matInput type="password" minlength="6" placeholder="Password" [(ngModel)]="password" name="password" required>
          <mat-error>
            Please provide a valid password of at least 6 characters
          </mat-error>
        </mat-form-field>
        <button mat-raised-button color="primary" [disabled]="!loginForm.form.valid" (click)="login()">Login</button>
      </form>
    </mat-card-content>
</mat-card>
</div>